#include <vector>
#include <iostream>
#include <thread>
#include <atomic>

std::atomic<int> cnt(0);
std::atomic<int> cnt2(0);

void f()
{
    for (int n = 0; n < 10000; ++n) {
        cnt2.fetch_add(1, std::memory_order_relaxed);
        cnt.fetch_add(1, std::memory_order_relaxed);
        cnt2.fetch_add(1, std::memory_order_relaxed);
        cnt.fetch_add(1, std::memory_order_relaxed);
    }
}

void g()
{
    for (int n = 0; n < 10000; ++n) {
        cnt2.fetch_add(1, std::memory_order_seq_cst);
        cnt.fetch_add(1, std::memory_order_seq_cst);
        cnt2.fetch_add(1, std::memory_order_seq_cst);
        cnt.fetch_add(1, std::memory_order_seq_cst);
    }
}


int main()
{
    f();
    g();

    std::cout << "Final counter value is " << cnt << '\n';
}